Brave Urges Congress to Require Ad Blocking Browsers for Govt Employees

CERT-LatestNews Malware ThreatsCybercrime ThreatsStrategic VulnerabilitiesAdobe VulnerabilitiesAll VulnerabilitiesApplications VulnerabilitiesMozilla
In a letter to the U.S. Congress, Brave urged Homeland Security Committee members to make it mandatory for all federal employees to use a browser that blocks advertising by default. Brave states that without a browser that blocks ads by default, federal employees would be vulnerable to malvertising,....